%define name 	coaster
%define version 0.1.4.2
%define release 1mdk

Summary: 	Versatile yet simple burning application
Name: 		%name
Version: 	%version
Release: 	%release
Epoch: 1
Url: 		http://www.coaster-burner.org/coaster-gui/
License: 	GPL
Group: 		Archiving/Cd burning
Source: 	http://www.coaster-burner.org/files/coaster/%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick shared-mime-info
BuildRequires:  libnautilus-burn-devel >= 2.9.4
BuildRequires:	gtkmm2.4-devel
BuildRequires:	gnome-vfsmm2.6-devel
BuildRequires:	gconfmm2.6-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	libxml++-devel >= 2.6
BuildRequires:	libvorbis-devel
BuildRequires:  dbus-devel
BuildRequires:	id3lib-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	automake1.7
PreReq:		shared-mime-info
Requires:	libcoaster-capplet

%description
Coaster-GUI is the graphical user frontend for the libburn library. The goal
is to present the user with a complete yet simple burning solution.
        * Audio cd sessions
        * Data cd sessions
        * File drag and drop from nautilus
        * Ability to save and restore sessions from file

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall UPDATE_MIMEDB=true
%find_lang %name --with-gnome
rm -rf %buildroot/var
#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/coaster"\
title="Coaster"\
longtitle="CD burning GUI"\
needs="x11"\
mimetypes="application/x-blf,application/x-bla,application/x-blv" \
icon="%name.png"\
startup_notify="true" \
section="System/Archiving/CD Burning"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="%name.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done
%update_menus
update-mime-database %_datadir/mime > /dev/null

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="%name.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%clean_menus
update-mime-database %_datadir/mime > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_datadir/%name
%_datadir/applications/*.desktop
%_datadir/application-registry/%name.applications
%_datadir/xml/%name/
%_datadir/pixmaps/*
%_datadir/mime-info/*
%_datadir/mime/packages/*
%dir %_datadir/omf/%name/
%_datadir/omf/%name/*-C.omf
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4.2-1mdk
- fix URL
- fix deps
- requires new nautilus-burn
- New release 0.1.4.2

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-4mdk
- rebuild for new bakery

* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-3mdk
- patch for new bakery

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-2mdk
- rebuild for new libxml++

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- add doc files
- fix buildrequires
- New release 0.1.3

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-3mdk
- rebuild for new bakery

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-2mdk
- rebuild for new bakery

* Wed Nov 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- remove generated files from /usr/share/mime/applications
- fix typo in post scripts
- add epoch to fix installation

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- fix buildrequires
- update menu entry
- update file list
- new version

* Sun Sep 05 2004 Marcel Pol <mpol@mandrake.org> 0.1.1patch14-6mdk
- fix menu section

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-5mdk
- even more buildrequires

* Mon Jul 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-4mdk
- add more buildrequires

* Sun Jul 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-3mdk
- fix buildrequires

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch14-2mdk
- rebuild for new bakery

* Thu Jul 22 2004 Austin Acton <austin@mandrake.org> 0.1.1patch14-1mdk
- patch14
- fix icon

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1patch9-3mdk
- fix buildrequires
- rebuild for new bakery

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.1.1patch9-2mdk
- fix menu entry (Luiz Alberto Saba)

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.1.1patch9-1mdk
- initial package

